FLANG

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
fir::detail::SequenceTypeStorage Struct Reference

Sequence-like object storage. More...

Inheritance diagram for fir::detail::SequenceTypeStorage:

## Public Types
using | KeyTy = std::tuple< SequenceType::Shape, mlir::Type, mlir::AffineMapAttr >

## Public Member Functions
bool | operator== (const KeyTy &key) const
SequenceType::Shape | getShape () const
mlir::Type | getElementType () const
mlir::AffineMapAttr | getLayoutMap () const

## Static Public Member Functions
static unsigned | hashKey (const KeyTy &key)
static SequenceTypeStorage * | construct (mlir::TypeStorageAllocator &allocator, const KeyTy &key)

## Protected Attributes
SequenceType::Shape | shape
mlir::Type | eleTy
mlir::AffineMapAttr | map

## Detailed Description

Sequence-like object storage.

The documentation for this struct was generated from the following file:

- lib/Optimizer/Dialect/FIRType.cpp